Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 464436 - ext3grep doesn't work on big endian architectures
Summary: ext3grep doesn't work on big endian architectures
Keywords:
Status: ASSIGNED
Alias: None
Product: Fedora
Classification: Fedora
Component: ext3grep
Version: rawhide
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Milos Jakubicek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1039258
Blocks: FE-ExcludeArch-ppc64, F-ExcludeArch-ppc64 F-ExcludeArch-SPARC
TreeView+ depends on / blocked
 
Reported: 2008-09-29 00:32 UTC by Milos Jakubicek
Modified: 2017-04-22 09:29 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)

Description Milos Jakubicek 2008-09-29 00:32:42 UTC
Description of problem:

Ext3grep currently doesn't work on big endian architectures, hence it must have ExcludeArch: ppc ppc64.

I'm filing this bug just to keep to the review guidelines:

- MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch. Each architecture listed in ExcludeArch needs to have a bug filed in bugzilla, describing the reason that the package does not compile/build/work on that architecture. The bug number should then be placed in a comment, next to the corresponding ExcludeArch line. New packages will not have bugzilla entries during the review process, so they should put this description in the comment until the package is approved, then file the bugzilla entry, and replace the long explanation with the bug number. The bug should be marked as blocking one (or more) of the following bugs to simplify tracking such issues: FE-ExcludeArch-x86 , FE-ExcludeArch-x64 , FE-ExcludeArch-ppc , FE-ExcludeArch-ppc64

Comment 1 Milos Jakubicek 2008-09-29 00:33:53 UTC
Link to upstream info on this:

http://groups.google.com/group/ext3grep/web/sticky-known-problems-when-running-ext3grep

Comment 2 Milos Jakubicek 2008-10-06 14:31:41 UTC
Added ExcludeArch: sparcv9 sparc64


Note You need to log in before you can comment on or make changes to this bug.